Retrieve a Ledger's Payments

This endpoint returns all payment-related operations in a specific ledger. Operation types that can be returned by this endpoint include: create_account, payment, path_payment, and account_merge.

Path Params
integer
required

The sequence number of a specific ledger.

Query Params
integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

string
enum

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Allowed:
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

boolean
enum

Set to true to include failed operations in results. Options include true and false.

Allowed:
string
enum

Set to transactions to include the transactions which created each of the operations in the response.

Allowed:
Response

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json